com.mysql.jdbc

## Class ProfilerEventHandlerFactory

- java.lang.Object
- - com.mysql.jdbc.ProfilerEventHandlerFactory

    public class ProfilerEventHandlerFactory
    extends java.lang.Object

### Field Summary

Fields
`protected com.mysql.jdbc.log.Log` `log`

### Method Summary

Methods
`static com.mysql.jdbc.profiler.ProfilerEventHandler` `getInstance(MySQLConnection conn)` Returns the ProfilerEventHandlerFactory that handles profiler events for the given connection.
`static void` `removeInstance(Connection conn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected com.mysql.jdbc.log.Log log

### Method Detail

#### getInstance

    public static com.mysql.jdbc.profiler.ProfilerEventHandler getInstance(MySQLConnection conn)
                                                                    throws java.sql.SQLException

Returns the ProfilerEventHandlerFactory that handles profiler events for the given connection.

Parameters:
  `conn` - the connection to handle events for
Returns:
  the ProfilerEventHandlerFactory that handles profiler events
Throws:
  `java.sql.SQLException`

#### removeInstance

    public static void removeInstance(Connection conn)